<template>
    <div class="common-btn-box4" @click="handleBtnClick()" style="">
        <span>开始装箱</span>
    </div>
</template>

<script setup lang="ts" name="PackingBox">
defineProps<{
    selectionList?: any[];
    handleChildBtnCallback?: () => void;
    ruleForm: any;
}>();
const emits = defineEmits<{
    (e: "handleBtnItemCallback", result: Record<string, any>): void;
}>();

// 提交事件
const handleBtnClick = () => {
    emits("handleBtnItemCallback", {
        type: "Packing"
    });
};
</script>

<style scoped>
@use "../index.scss";
</style>
